package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplier;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.List;

@Schema(description = "管理后台 - OA供应商审核新增/修改 Request VO")
@Data
public class BpmOASupplierSaveReqVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "13431")
    private Long id;

    @Schema(description = "申请人的用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "15417")
    @NotNull(message = "申请人的用户编号不能为空")
    private Long userId;

    @Schema(description = "供应商id（如果编辑的话需要）", example = "28412")
    private Long supplierId;

    @Schema(description = "供应商名称", example = "李四")
    private String supplierName;

    @Schema(description = "联系方式(手机号)")
    private String phone;

    @Schema(description = "联系人")
    private String contactPerson;

    @Schema(description = "公司地址")
    private String companyAddress;

    @Schema(description = "营业执照编号")
    private String businessLicenseNo;

    @Schema(description = "结算日")
    private String settlementDate;

    @Schema(description = "结算方式(字典值)")
    private Integer settlementMethod;

    @Schema(description = "公司账号", example = "13787")
    private String companyAccount;

    @Schema(description = "银行开户行")
    private String bankAccountOpeningBank;

    @Schema(description = "上传文件", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<UploadUserFile> fileItems;

    @Schema(description = "申请结果", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer result;

    @Schema(description = "备注", requiredMode = Schema.RequiredMode.REQUIRED)
    private String remark;

    @Schema(description = "流程实例的编号", example = "13296")
    private String processInstanceId;

    @Schema(description = "供应商商品表")
    List<BpmOASupplierProductSaveReqVO> items;
}
