package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierprocurementplan;

import lombok.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 供应商采购计划子分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOASupplierProcurementPlanItemPageReqVO extends PageParam {

    @Schema(description = "申请人的用户编号", example = "29804")
    private Long userId;

    @Schema(description = "供应商采购计划id", example = "12127")
    private Long procurementPlanId;

    @Schema(description = "工厂编号", example = "31764")
    private Long factoryId;

    @Schema(description = "供应商商品id", example = "31243")
    private Long supplierProductId;

    @Schema(description = "数量")
    private Integer num;

    @Schema(description = "供应商价格", example = "30063")
    private BigDecimal supplierPrice;

    @Schema(description = "实际价格", example = "21988")
    private BigDecimal actualPrice;

    @Schema(description = "收货地址")
    private String shippingAddress;

    @Schema(description = "备注", example = "你说的对")
    private String remark;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
