package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierpurchasepayment;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

@Schema(description = "管理后台 - 供应商采购付款 Response VO")
@Data
public class BpmOASupplierPurchasePaymentRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "29286")
    private Long id;

    @Schema(description = "申请人的用户编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "14357")
    private Long userId;

    @Schema(description = "供应商id", requiredMode = Schema.RequiredMode.REQUIRED, example = "13580")
    private Long supplierId;

    @Schema(description = "结算方式(字典值)")
    private Integer settlementMethod;

    @Schema(description = "供应商采购计划ids")
    private String supplierProcurementPlanIds;

    @Schema(description = "总支付金额")
    private BigDecimal totalMoney;

    @Schema(description = "备注", example = "你猜")
    private String remark;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;

    @Schema(description = "结果", requiredMode = Schema.RequiredMode.REQUIRED)
    private Integer result;

    @Schema(description = "流程实例ID", example = "11647")
    private String processInstanceId;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private LocalDateTime createTime;

}
