package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 供应商采购计划子 DO
 *
 * @author 艾楷
 */
@TableName("bpm_oa_supplier_procurement_plan_item")
@KeySequence("bpm_oa_supplier_procurement_plan_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOASupplierProcurementPlanItemDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 申请人的用户编号
     */
    private Long userId;
    /**
     * 供应商采购计划id
     */
    private Long procurementPlanId;
    /**
     * 工厂编号
     */
    private Long factoryId;
    /**
     * 供应商商品id
     */
    private Long supplierProductId;
    /**
     * 供应商商品名称
     */
    private String supplierProductName;
    /**
     * 资产类型id
     */
    private Long typeId;
    /**
     * 数量
     */
    private Integer num;
    /**
     * 供应商价格
     */
    private BigDecimal supplierPrice;
    /**
     * 实际价格
     */
    private BigDecimal actualPrice;
    /**
     * 收货地址
     */
    private String shippingAddress;
    /**
     * 备注
     */
    private String remark;

}
