package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import lombok.*;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * OA供应商商品 DO
 *
 * @author 艾楷
 */
@TableName("bpm_oa_supplier_product")
@KeySequence("bpm_oa_supplier_product_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOASupplierProductDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 供应商OA流程id
     */
    private Long oaSupplierId;
    /**
     * 供应商id
     */
    private Long supplierId;
    /**
     * 供应商商品id（如果编辑的话需要）
     */
    private Long supplierProductId;
    /**
     * 申请人的用户编号
     */
    private Long userId;
    /**
     * 资产类型id
     */
    private Long assetsTypeId;
    /**
     * 资产名称
     */
    private String assetsName;
    /**
     * 单位
     */
    private String util;
    /**
     * 型号
     */
    private String model;
    /**
     * 价格
     */
    private BigDecimal price;
    /**
     * 备注
     */
    private String remarks;

}
