package cn.iocoder.yudao.module.bpm.service.oa.listener;

import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEvent;
import cn.iocoder.yudao.module.bpm.framework.bpm.core.event.BpmProcessInstanceResultEventListener;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOASupplierPurchasePaymentService;
import cn.iocoder.yudao.module.bpm.service.oa.BpmOASupplierPurchasePaymentServiceImpl;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * OA 合同审批单的结果的监听器实现类
 *
 * @author 符溶馨
 */
@Component
public class BpmOASupplierPurchasePaymentResultListener extends BpmProcessInstanceResultEventListener {

    @Resource
    private BpmOASupplierPurchasePaymentService supplierPurchasePaymentService;

    @Override
    protected String getProcessDefinitionKey() {
        return BpmOASupplierPurchasePaymentServiceImpl.PROCESS_KEY;
    }

    @Override
    protected void onEvent(BpmProcessInstanceResultEvent event) {
        supplierPurchasePaymentService.updateSupplierPurchasePaymentResult(event.getId(), Long.parseLong(event.getBusinessKey()), event.getResult());
    }
}
