package cn.iocoder.yudao.module.system.controller.admin.attendance.vo;

import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 工厂员工打卡记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AttendanceFactoryPunchRecordPageReqVO extends PageParam {

    @Schema(description = "考勤用户id", example = "10616")
    private Long userId;

    @Schema(description = "部门id", example = "5051")
    private Long deptId;

    @Schema(description = "工厂id", example = "32372")
    private Long factoryId;

    @Schema(description = "设备序列号(考勤机打卡有)")
    private String sn;

    @Schema(description = "日期yyyy-MM-dd格式 (实际是哪一天)")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] actualDayTime;

    @Schema(description = "打卡时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] punchTime;

    @Schema(description = "图片")
    private String image;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
