package cn.iocoder.yudao.module.system.controller.admin.supplier.vo;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;
import java.util.*;
import io.swagger.v3.oas.annotations.media.Schema;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 供应商列表(OA已审核通过后插入)分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SupplierPageReqVO extends PageParam {

    @Schema(description = "供应商名称", example = "赵六")
    private String supplierName;

    @Schema(description = "联系方式(手机号)")
    private String phone;

    @Schema(description = "联系人")
    private String contactPerson;

    @Schema(description = "公司地址")
    private String companyAddress;

    @Schema(description = "营业执照编号")
    private String businessLicenseNo;

    @Schema(description = "结算日")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] settlementDate;

    @Schema(description = "结算方式(字典值)")
    private Integer settlementMethod;

    @Schema(description = "公司账号(银行卡号)", example = "7431")
    private String companyAccount;

    @Schema(description = "银行开户行")
    private String bankAccountOpeningBank;

    @Schema(description = "状态 0禁用 1启用")
    private Integer status;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;

    @Schema(description = "备注", requiredMode = Schema.RequiredMode.REQUIRED)
    private String remark;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

}
