package cn.iocoder.yudao.module.system.dal.dataobject.commonlyused;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import org.apache.ibatis.type.JdbcType;

/**
 * 用户常用应用配置 DO
 *
 * @author 艾楷
 */
@TableName("system_commonly_used")
@KeySequence("system_commonly_used_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CommonlyUsedDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long userId;
    /**
     * 类型 1流程 2菜单
     */
    private Integer type;

    /**
     * 菜单id或流程id 根据具体类型来
     */
    private String objectId;
    /**
     * 排序(从小到大)
     */
    private Integer sort;

}
