package cn.iocoder.yudao.module.smartfactory.controller.admin.factoryforklift.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 叉车管理 Response VO")
@Data
@ExcelIgnoreUnannotated
public class FactoryForkliftRespVO {

    @Schema(description = "资产id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25769")
    @ExcelProperty("资产id")
    private Long id;

    @Schema(description = "资产编号", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("资产编号")
    private String assetsNo;

    @Schema(description = "工厂id", requiredMode = Schema.RequiredMode.REQUIRED, example = "1056")
    @ExcelProperty("工厂id")
    private Long factoryId;

    @Schema(description = "工厂名称", requiredMode = Schema.RequiredMode.REQUIRED, example = "1056")
    @ExcelProperty("工厂名称")
    private String factoryName;


    @Schema(description = "叉车id", requiredMode = Schema.RequiredMode.REQUIRED, example = "25769")
    @ExcelProperty("叉车id")
    private Long forkliftId;
//
    @Schema(description = "部门id", example = "23631")
    @ExcelProperty("部门id")
    private Long deptId;
//
//    @Schema(description = "部门名称", example = "23631")
//    @ExcelProperty("部门名称")
//    private String deptName;

    @Schema(description = "叉车名称", example = "芋艿")
    @ExcelProperty("叉车名称")
    private String name;

    @Schema(description = "厂商")
    @ExcelProperty("厂商")
    private String manufacturer;

    @Schema(description = "型号")
    @ExcelProperty("型号")
    private String modelNo;

    @Schema(description = "车牌")
    @ExcelProperty("车牌")
    private String licensePlate;

    @Schema(description = "铭牌日期")
    @ExcelProperty("铭牌日期")
    private String nameplateDate;

    @Schema(description = "用途类型 根据字典值来匹配", example = "1")
    @ExcelProperty("用途类型 根据字典值来匹配")
    private Integer useType;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

}
